package com.fdkankan.common.constant;

/**
 * 场景来源
 */
public enum SceneScheme {

    SM(1, "双目"),
    ZT(2, "转台"),
    LM(3, "六目"),
    BM(4, "八目"),
    FOUR_K(10, "获取4K图"),
    TWO_K(11, "获取2K图"),
    TWELVE_K(12, "获取1k图"),
    ;

    private Integer code;
    private String message;

    private SceneScheme(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer code() {
        return code;
    }

    public String message() {
        return message;
    }

    public static SceneScheme get(Integer code){
        SceneScheme[] values = SceneScheme.values();
        Integer enumValue = null;
        for(SceneScheme eachValue : values){
            enumValue = eachValue.code();
            if(enumValue.equals(code)){
                return eachValue;
            }
        }
        return null;
    }

}
